Skip to main content
Contacts

Delete allocation

This method requires Contacts:Delete permission to be associated with the role.

DELETE
/fm/contact/allocations/{contact_id}/{table_name}/{record_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contact_idstringrequired

Contact Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
table_nameenum<string>required

Table name

Available options: fm_clients, fm_client_groups, fm_client_cost_centres, fm_client_divisions
record_idstringrequired

Record id from the linked table

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Success